/* adcs custom */

:root {
    --adcs-font: "Roboto",sans-serif;
    --adcs-h1-font: 700 160%/1.35 "Merriweather", serif;
    --adcs-h23-font: 500 140% "Roboto", sans-serif; margin: 15px 0;
    --adcs-font-family-text: "Merriweather",serif;

    --adcs-color-777: #777;
    --adcs-color-666: #666;
    --adcs-color-555: #555;
    --adcs-color-accent: #00a443;
}


section#fra {
    div.t {
        margin-bottom: 2em;
        img {
            max-width: 100%;
            width: 100%;
        }
        span {
            color: var(--adcs-color-777);
            font-family: var(--adcs-font);
            font-size: 75%;
        }
    }

    section {
        &[data-type="header"] {
            display: flex;
            flex-direction: column-reverse;
            margin-bottom: 1em;

            h2 {
                text-transform: uppercase;
                font-size: 1.2em;
                font-weight: normal;
                font-family: var(--adcs-font);
                margin-bottom: 1em;
                strong.k {
                    font-size: 1.2em;
                    font-weight: normal;
                    font-family: var(--adcs-font);
                }
            }
            h1 {
                font: var(--adcs-h1-font);
            }
        }

        &[data-type="h2"],
            &[data-type="h3"] {
            h2, h3 {
                font: var(--adcs-h23-font);
                margin: 1.5em 0 0.75em 0;
            }
        }

        &[data-type="text"] {
            p {
                font-family: var(--adcs-font-family-text);
            }
        }

        &[data-type="cta"] {
            a[name] {
                display: none;
            }
            a.adcs-cta {
                min-width: 50%;
            }
        }

        &[data-type="info"] {
            padding: 1em;
            background-color: #eee;
            margin-bottom: 2em;
            h3:not(:empty) {
                font: var(--adcs-h23-font);
                margin-bottom: 0.4em;
            }
        }

        &[data-type="links"] {
            strong:not(:empty) {
                display: block;
                font: var(--adcs-h23-font);
                margin-bottom: 0.4em;
                ul {
                    margin-left: 1em;
                }
            }
        }

        &[data-type="figure"] {
            margin: 0;
            padding: 0;
            margin-bottom: 1.5em;
            img {
                width: 100%;
            }
            figcaption {
                div.description {
                    -font-size: 0.85em;
                    line-height: 1.5em;
                    color: var(--adcs-color-555);
                }
                [frontend-hide] {
                    display: none;
                }
            }
            figcaption div.copyright {
                color: var(--adcs-color-777);
            }
            figcaption div.copyright:not(:empty) {
                &::before {
                    content: "\00A9";
                    margin-right: 3px;
                }
            }
        }

        &[data-type="footer"] {
            footer {
                font-family: var(--adcs-font-family-text);
            }
        }

        &[data-type="faq"] {
            margin-top: 5em;
            border-top: 1px dotted #ccc;
            padding-top: 1em;
            strong {
                font: var(--adcs-h23-font);
            }
            ul {
                li {
                    span {
                        display: inline-block;
                        svg {
                            color: var(--adcs-color-accent);
                        }
                    }
                    div {
                        display: inline-block;
                    }
                    blockquote {
                        font-family: var(--adcs-font-family-text);
                        margin: 0.5em 1.5em 1em;
                    }
                }
            }
        }

        &[data-type="imprint"] {
            margin-top: 2.5em;
            div.headline {
                font-size: 0.85em;
                line-height: 1.5em;
                font-weight: bold;
                color: var(--adcs-color-666);
            }
            address {
                em {
                    &.block {
                        display: block;
                        margin-bottom: 0.5em;
                    }
                    em {
                        display: block;
                    }
                }
            }
        }

        &[data-type="quellen"] {
            margin: 1em 0;
            color: var(--adcs-color-666);
            header {
                font-size: 0.85em;
                line-height: 1.5em;
                font-weight: bold;
            }
            p {
                font-size: 0.85em;
                line-height: 1.5em;
            }
        }

        &[data-type="disclaimer"] {
            margin: 1em 0;
            color: var(--adcs-color-666);
            header {
                font-size: 0.85em;
                line-height: 1.5em;
                font-weight: bold;
            }
            p {
                font-size: 0.85em;
                line-height: 1.5em;
            }
        }
        
    }
}